html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Hina Mincho', serif;
    background-color: #f2e9e4;
    ;
}

.dark {
    background-color: #585123;
    color: #eec170;
    transition: ease 0.3s;
}

#button {
    border: none;
    width: 100px;
    height: 40px;
    border-radius: 45%;
    left: 46.5%;
    position: absolute;
    background-color: #122620;
    color: #F4EBD0;
    top: 200px;
}

#cover {
    position: absolute;
    width: 100%;
    left: 0%;
    top: 0%;
    image-rendering: optimizeQuality;
}

h1 {
    text-align: center;
    font-size: 56px;
    letter-spacing: 3px;
    position: relative;
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    width: 200px;
    background-color: #eec170;
}

li a {
    display: block;
    color: #000;
    padding: 8px 16px;
    text-decoration: none;
    font-size: 16px;
}

li a:hover {
    background-color: #eec170;
    color: black;
    transition: ease 1.0s;
}

.darkli a {
    display: block;
    color: black;
    padding: 8px 16px;
    text-decoration: none;
    font-size: 16px;
}

.darkli a:hover {
    background-color: #b89f63;
    color: black;
    transition: ease 1.0s;
}

.dropbtn {
    position: sticky;
    position: -webkit-sticky;
    color: black;
    background-color: #f2a65a;
    text-decoration: dotted;
    padding: 16px;
    font-size: 16px;
    cursor: pointer;
    z-index: 100px;
    top: 0%;
}

.buttondark {
    position: sticky;
    position: -webkit-sticky;
    color: #ffe6a7;
    background-color: #122620;
    text-decoration: dotted;
    padding: 16px;
    font-size: 16px;
    cursor: pointer;
    z-index: 100px;
    top: 0%;
    transition: ease 0.3s;
}

.dropdown {
    position: sticky;
    z-index: 100;
    left: 0%;
    top: 0%;
    border: #502419;
    display: inline-block;
}

.dropblack {
    position: sticky;
    z-index: 100;
    left: 0%;
    top: 0%;
    border: white;
    display: inline-block;
}

.darkul {
    display: none;
    position: absolute;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    background-color: black;
    transition: background-color 300ms;
}

.darkul a {
    color: white;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropblack:hover .darkul {
    display: block;
    transition: ease 1.0s;
}

.dropblack:hover .buttondark {
    background-color: #9f8c00;
    color: black;
    transition: ease 1.0s;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #eae0d5;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropdown:hover .dropdown-content {
    display: block;
    transition: ease 1.0s;
}

.dropdown:hover .dropbtn {
    background-color: #d68c45;
    transition: ease 1.0s;
}

#buttonpls {
    position: absolute;
    left: 48.5%;
    top: 190px;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
    transition: background 0.2s linear;
}

.checkbox {
    opacity: 0;
    position: absolute;
}

.label {
    background-color: #8b8829;
    border-radius: 50px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px;
    position: relative;
    height: 11px;
    width: 31px;
    z-index: 100px;
    transform: scale(1.5);
}

.label .ball {
    background-color: #fff;
    border-radius: 50%;
    position: absolute;
    top: 2px;
    left: 2px;
    height: 16px;
    width: 16px;
    transform: translateX(0px);
    transition: transform 0.2s linear;
}

.checkbox:checked+.label {
    background-color: #211522;
    transition: ease-in 0.3s;
}

.checkbox:checked+.label .ball {
    transform: translateX(20px);
}

.fa-moon {
    filter: invert(70%) sepia(90%) saturate(449%) hue-rotate(1deg) brightness(97%) contrast(98%);
    top: 190px;
    height: 12px;
    width: 14px;
}

.fa-sun {
    filter: invert(70%) sepia(90%) saturate(449%) hue-rotate(1deg) brightness(97%) contrast(98%);
    top: 190px;
    height: 12px;
    width: 14px;
}

#nextbtn {
    position: absolute;
    top: 1000px;
    height: 50px;
    left: 47%;
    display: inline-block;
    line-height: 35px;
    margin: 8px;
    padding: 0 15px;
    font-size: 15px;
    opacity: .999;
    border: none;
    border-radius: 3px;
    color: #D3B1C2;
    @extend.animate;
}

#nextbtn:before,
#nextbtn:after {
    content: '';
    border-style: solid;
    position: absolute;
    z-index: 5;
    border-radius: 3px;
    box-sizing: content-box;
    border-color: #9b59b6;
    color: #613659;
    transition: all 0.3s;
    @extend.animate;
}

#nextbtn:before {
    width: 0;
    height: 100%;
    border-width: 1px 0 1px 0;
    top: -1px;
    left: 0;
    border-color: #9b59b6;
    transition: all 0.3s;
    transition-delay: 0.05s;
}

#nextbtn:after {
    width: 100%;
    height: 0;
    border-width: 0 1px 0 1px;
    top: 0;
    transition: all 0.3s;
    border-color: #9b59b6;
    left: -1px;
}

#nextbtn:hover:before {
    width: 100%;
    border-color: #9b59b6;
    transition: all 0.3s;
}

#nextbtn:hover:after {
    height: 100%;
    border-color: #9b59b6;
    color: #613659;
    transition: all 0.3s;
}